Page MenuHomePhabricator

Identify, research, and document open-source team communication & collaboration tools
Closed, ResolvedPublic

Description

The goal of this task is to identify, research, and document open-source team communication and collaboration tools. Mostly investigate decent Slack (https://slack.com/) alternatives.

The action items are:

  • Research and identify a list of at least five open-source communication and collaboration tools.
  • Create a wiki page with a title: "Research on open source team communication tools" on http://meta.wikimedia.org.
  • Document the tools along with its description, and features that it offers. Include relevant links wherever necessary, and embed screenshots for visual clarity.
  • Also, recommend which tool could be most useful for WMF's Outreach programs to communicate with students and why?

Event Timeline

I've created a task about this on Google Code-in https://codein.withgoogle.com/dashboard/tasks/4869162868408320/ and I plan to mentor this.

Should this task include or exclude research on MatterMost and Zulip, which is covered by T154001, or should it be up to the participant to choose whether to include/exclude those two?

@jayvdb I think it should be up to the participant.

divadsn removed srishakatux as the assignee of this task.Jan 15 2017, 1:11 AM
divadsn added subscribers: SacredWKnight, divadsn.

I have included researches done by @SacredWKnight for Zulip and Mattermost and will research on Rocket.Chat, Riot.im, Telegram and Kandan.

https://meta.wikimedia.org/wiki/Research_on_open_source_team_communication_tools

Kandan seems to be abandonded, so I won't do a research onto that.

@divadsn sounds good! comment here or on the GCI task whenever you are done adding the new sections.

Done, I've summarized everything and made my own conclusion :)

srishakatux closed this task as Resolved.Jan 18 2017, 10:06 PM

thank you @divadsn for your work on this task! :)

@srishakatux I am doing another research on Kontalk, as Telegram isn't really open-source.

And thanks to @jayvdb for his suggestions to improve my work!

Qgil reassigned this task from srishakatux to divadsn.Jan 20 2017, 12:17 PM
Qgil awarded a token.
Qgil moved this task from Ready to Go to January on the Developer-Advocacy (Jan-Mar-2017) board.

I have replaced Telegram now with Kontalk, I will change my conclusion after I have tested Zulip again.

@sumanah thanks for your question, I have replied to that at the talk page. It would be good to know from you when the next release is planned to be available or if the latest dev release is stable enough for production use.